Kerbal Space Program - Bug #24241

Can't change to or from map view
10/30/2019 01:59 AM - Solar424

Status: Resolved Start date: 10/30/2019
Severity: Low % Done: 100%
Assignee: Robert.Keech

Category: Map and Planetarium

Target version: 1.8.1

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

After the 1.8 update | am unable to use the hotkey to go to or from map view. When | use the button to go to map view on the Ul, |
am unable to go back to my craft. This has basically made my game unplayable. This only effects one save, which only has Kerbal
Alarm Clock installed on it.

History

#1 - 10/30/2019 06:10 AM - Solar424

- File Career.rar added

Save file

#2 - 10/30/2019 04:13 PM - Robert.Keech

- Status changed from New to Need More Info

I've done some tests using your save provided and | am able to switch between map view and flight view at will using the keyboard shortcut and the
Mode controls in the bottom left of the screen.
Could you possibly provide repro steps and tell me if it is affecting all your ships or just a few particular ones.

#3 - 10/30/2019 04:13 PM - Robert.Keech

- Assignee set to Robert.Keech

#4 - 10/30/2019 08:48 PM - Solar424

| can't give any steps reproduce the bug because it happens whenever | run the game, and it happens with every craft. Also when | do use the Ul to
go to map mode and press the button again whatever body the craft is in the sphere of influence of disappears and every other body moves from
where it should be.

#5 - 11/01/2019 10:30 AM - SiWalder

I'm not sure how useful this info is but | had the issue immediately after updating to 1.8.1. | could press it once (to go from craft normal view to map
view) but after this it wouldn't toggle back. If | switch to another craft it would go back to normal view but I'd be stuck there and "m" wouldn't work at
all. if | reverted to launch I'd again get the "m" key working once, as before. after this | restarted the game (making no changes to settings and without
reinstalling anything) and the issue was gone and never came back so | forgot about it.

probably not useful info but wanted to mention that | did have the same experience, just so Solar doesn't think he's going mad.

#6 - 11/03/2019 06:23 PM - zmpeg

- File career-map-bug.zip added

- File bugged-mods.ckan added

- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

| have this same issue. | was playing a 1.8.0 career game. When | launched a satellite to minmus, | immediately noticed | could not enter map mode
with the 'M' key. | switched to map mode with the mouse. | then discovered | could not switch back to non-map mode. It was weirdly bugged, looking
like a mix of map and non-map mode. I've attached a screen recording of the bug. It only affects all ships in this career save. Other save games (my
sandbox game) do not have this bug.
The video was too big to attach, so here is a link. At 10-12 seconds im hammering the 'm' key. https://streamable.com/mbxe4

| then tried copying my career save to a new 1.8.1 game (fresh d/l from website), and the map bug is gone. In this instance there were a ton of errors
cause | didn't copy the mods over.

| then tried copying my career save and all the mods to a fresh 1.8.0 game, and the map bug is there.

| then tried deleting all the mods from the gamedata folder. This deletes my ships as well (missing mod), but for a new ship the bug is gone.

I've attached my mod list (ckan) and also my career save. I'm not entirely convinced this is mod related (good chance though), | found another
discussion here with people reporting this problem in the vanilla game.
https://forum.kerbalspaceprogram.com/index.php?/topic/189109-map-broke-a-week-after-18/

One difference between SiWalder and myself, is that i was not able to revert my game when the bug showed up, as it is a hard-mode career game.

#9 - 11/06/2019 06:42 PM - rndmnumgen
- File NewCampaign.zip added
Solar424 wrote:
After the 1.8 update | am unable to use the hotkey to go to or from map view. When | use the button to go to map view on the Ul, | am unable to
go back to my craft. This has basically made my game unplayable. This only effects one save, which only has Kerbal Alarm Clock installed on it.
| have the exact same problem when trying to play my 1.7.3 save (base game, no DLC, completely unmodded).

It affects this particular save 100% of the time, for all craft, both new launches and existing missions. Occurs on both my laptop and desktop PCs,
which have very different hardware configurations.

I would just revert to 1.7.3, but as the save game itself has been updated to 1.8.1, that does not seem to be an option. So, it seems this entire save
and all the work | put into it is just dead, at least until we get a fix. | really don't want to start over, | put dozens of hours into this career mode game :(

#10 - 11/06/2019 06:54 PM - rndmnumgen
- File MinmusBug.png added

Also | discovered that the camera gets especially weird when you switch between multiple camera modes. Attaching screenshot from my save where
I:

1. Played as FuelTruck from the Tracking Station

2. Entered Map View by clicking on the icon.

3. Clicked on the Map Icon again, causing the bug to occur.

4. Clicked on my kerbal's portrait from the bugged state and clicked 'view'.
5. Pressed V to change the camera mode.

As you can see, I'm landed at Minmus with one of my ships in front of me, but the night sky is the map view with orbits and everything.
#11 - 11/10/2019 09:25 PM - w33b
| had this problem too on vanilla (with Making History DLC) 1.8.0 and 1.8.1 from GoG. Can reproduce like this:
1. Start new career game
2. Go to VAB, "launch" bare Mk1 Command pod, then press "M" to go to map mode
3. Click "i" at the top right toolbar, doubleclick craft name, select "Science" icon and click "Accept"”
4. Press "Esc" and go to the Tracking Station.
Craft list will be empty. If you go back to Space Center and fly it by clicking on launch pad icon, map will be broken as described.
Changing vessel type back by editing "persistent.sfs" and reloading fixes the problem.
#12 - 11/11/2019 09:56 AM - rndmnumgen
w33b wrote:
| had this problem too on vanilla (with Making History DLC) 1.8.0 and 1.8.1 from GoG. Can reproduce like this:
1. Start new career game
2. Go to VAB, "launch" bare Mk1 Command pod, then press "M" to go to map mode
3. Click "i" at the top right toolbar, doubleclick craft name, select "Science" icon and click "Accept”
4. Press "Esc" and go to the Tracking Station.

Craft list will be empty. If you go back to Space Center and fly it by clicking on launch pad icon, map will be broken as described.

Changing vessel type back by editing "persistent.sfs" and reloading fixes the problem.
https://streamable.com/mbxe4
https://forum.kerbalspaceprogram.com/index.php?/topic/189109-map-broke-a-week-after-18/

Oh wow, thank you so much!
With this information | was able to repair my 1.7.3 save, it now works perfectly again.

| opened up persistent.sfs and searched for Science, and found an old lander probe | had completely forgotten about - thus | didn't even realize it was
missing, just that my map was broken. | changed it's type from "DeployedScienceController" to "Lander" and saved, then booted it up in KSP. Now all
of my ships/maps are working again, including the probe!

This was definitely the problem for me, and probably many other people. Great job finding this repro!

#13 - 11/14/2019 02:28 AM - Solar424

w33b wrote:
| had this problem too on vanilla (with Making History DLC) 1.8.0 and 1.8.1 from GoG. Can reproduce like this:

1. Start new career game

2. Go to VAB, "launch" bare Mk1 Command pod, then press "M" to go to map mode

3. Click "i" at the top right toolbar, doubleclick craft name, select "Science" icon and click "Accept"”
4. Press "Esc" and go to the Tracking Station.

Craft list will be empty. If you go back to Space Center and fly it by clicking on launch pad icon, map will be broken as described.

Changing vessel type back by editing "persistent.sfs" and reloading fixes the problem.

Changing the vessel type in the persistent.sfs file from DecployedScienceController to something else has fixed the map bug as you and
rndmnumgen have described. My theory is that since there is no selector for science vessels in the map view or Tracking Station it makes the game
freak out. Until this gets fixed I'd avoid setting any vessel to be a science type, because that seems to be what is causing this to happen.

#14 - 02/20/2020 04:55 PM - Robert.Keech
- Status changed from Updated to Confirmed

#15 - 02/20/2020 04:55 PM - Robert.Keech
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#16 - 02/20/2020 04:55 PM - Robert.Keech
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.8.1

- % Done changed from 30 to 80

#17 - 08/10/2020 03:16 PM - victorr
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Files

Career.rar 3.25 MB 10/30/2019 Solar424
career-map-bug.zip 710 KB 11/03/2019 zmpeg
bugged-mods.ckan 864 Bytes 11/03/2019 zmpeg
NewCampaign.zip 1.61 MB 11/06/2019 rndmnumgen
MinmusBug.png 1.76 MB 11/06/2019 rndmnumgen
